The HealthcareService resource represents an appointment type used by a practice group, clinic location or individual practitioner
ContextIn Halaxy, HealthcareService is referred to as the appointment type, not the fee added to the appointment. Appointment types are appointment placeholders that can be used for bookings without necessarily adding a fee, but can also be linked to a fee.
For more information, see article: Guide to appointment types
Endpoints
| Endpoint | Operation | Description |
|---|---|---|
GET /main/HealthcareService | List HealthcareService | Retrieves a list or collection of appointment types in a practice group |
GET /main/HealthcareService/{id} | Get HealthcareService | Retrieves an individual appointment type |
Schema
| Property | Description |
|---|---|
| id | stringThe appointment type identifier |
| active | booleanWhether the appointment type is active (if false, the appointment type is archived) |
| providedBy |
|
| name | stringThe name of the appointment type |
| comment | stringDescription of the appointment type as added to the Notes field |
| valueQuantity |
|
| healthcare-service-allow-online-booking |
|
| healthcare-service-max-patients |
If the appointment is only for single patients, this should be set to |
